### Method

# Json Node hash

since: 1.2

#### Declaration [src]

    guint
    json_node_hash (
      gconstpointer key
    )

#### Description [src]

Calculate a hash value for the given `key`.

The hash is calculated over the node and its value, recursively. If the node is immutable, this is a fast operation; otherwise, it scales proportionally with the size of the node’s value (for example, with the number of members in the JSON object if this node contains an object).

Available since: 1.2

#### Return value

Type: `guint`

Hash value for `key`.